<div class="button-new-activate__content {{needsScrollbar}}">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-12">
        {{button-card
          button=button
          creator=currentUser
          imageFile=imageFile
          creatorAvatar=currentUser.avatar
          isActivateRoute=true
          classNames="button-file__card-button my-3"
        }}
        {{!-- <div class="button-file__button-arrow"></div> --}}
      </div>
    </div>
  </div>
</div>
<div class="row mt-3 mb-3 button-file__below-buttons">
  <!-- <div class="col-3 button-file__yellow-circle-container">
    <button class="button-circle button-file__yellow-circle-disabled">
      <div class="button-circle__content">
        <div class="button-circle__number">
          {{button.chatsCounter}}
        </div>
        <div class="button-circle__icon">
          {{svg-jar "chat_black" class="fill-icon"}}
        </div>
      </div>
    </button>
  </div> -->
  <!-- <div class="button-new-activate__activate-button-border">
  </div> -->
  {{#if isNewButton}}
    <div class="col-12 button-file__yellow-circle-container button-file__yellow-circle-container--layer-top px-0">
      <button {{action 'toggleButtonState'}} class="w-100 {{buttonClass}}">
        {{svg-jar 'switch' class="button-file__big-icon"}}
      </button>
    </div>
    <!-- <div class="col-3 button-file__yellow-circle-container">
      <button class="button-circle button-file__yellow-circle-disabled">
        <div class="button-circle__content">
          <div class="button-circle__number">
            0
          </div>
          <div class="button-circle__icon">
            {{!-- Provisional icon until we get the real one --}}
            {{svg-jar "share2" class="fill-icon"}}
          </div>
        </div>
      </button>
    </div> -->
  <div class="col-12 button-file__activate-btn-text">
      {{#if button.active}}
        <span>Pulsa para desactivar</span>
      {{else}}
        <span>Pulsa para activar</span>
      {{/if}}
  </div>
{{else}}
  <div class="col-12 button-file__yellow-circle-container button-file__yellow-circle-container--layer-top px-0">
    <button {{action 'saveButton'}} class="w-100 {{buttonClass}}">
      {{svg-jar 'valid' class="button-file__big-icon"}}
    </button>
  </div>
  <div class="col-12 button-file__activate-btn-text">
      <span>Pulsa para confirmar cambios</span>
  </div>
{{/if}}
</div>
{{#if isButtonNetRoute}}
  {{#link-to 'button-net.index.index' class="button-new-activate__close-container"}}{{/link-to}}
{{else}}
  {{#link-to 'index.index' class="button-new-activate__close-container"}}{{/link-to}}
{{/if}}
